Skip to content

Set Default PDF Template

POST
/api/pdf-reports/templates/{id}/set-default

Set a template as the default for its report type within the organization. Global admins can also set a global template as the global default.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

id*
Type
string
Required

Responses

Template set as default

application/vnd.api+json
JSON
{
  
"data": {
  
  
"type": "pdf-template",
  
  
"id": "string",
  
  
"attributes": {
  
  
  
"organizationId": "string",
  
  
  
"name": "string",
  
  
  
"description": "string",
  
  
  
"reportType": "string",
  
  
  
"editorConfig": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"pageSettings": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"customCss": "string",
  
  
  
"isDefault": true,
  
  
  
"isActive": true,
  
  
  
"version": 0,
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation